Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Class XPathContextMinor.LastValue

    java.lang.Object
      net.sf.saxon.expr.XPathContextMinor.LastValue

Enclosing class:
  XPathContextMinor

    protected static class XPathContextMinor.LastValue

extends Object

Container for cached value of the last() function. This is shared between all context objects that share the same current iterator. Introduced in 9.2 to handle the case where a new context is introduced when the current outputter changes, without changing the current iterator: in this case the cached value was being lost because each call on last() used a different context object.

Field Summary
`int` | `value`

Constructor Summary
`XPathContextMinor.LastValue(int count)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public int value

Constructor Detail

### XPathContextMinor.LastValue

    public XPathContextMinor.LastValue(int count)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.